package de.hft.stuttgart.citydoctor2.zip;

import de.hft.stuttgart.citydoctor2.datastructure.CityDoctorModel;

import java.util.zip.ZipEntry;

public class ErroneousEntry extends CityGmlZipEntry {

    private ZipEntryErrorType errorType = null;

    public ErroneousEntry(ZipEntry entry, ZipEntryErrorType errorType){
        super(entry, true);
        this.errorType = errorType;
    }


    @Override
    public CityDoctorModel getModel(){
        return null;
    }

    public ZipEntryErrorType getErrorType() {
        return errorType;
    }
}
